#root {
  max-width: 1280px;
  margin: 0 ;
  padding: 0rem;
  text-align: center;

}
:root{
    /* color section */
    --page-background-color:#22303c;
    --navbar-backgroun-color:#BBBCB6;
    --navbar-text-color:rgb(68, 94, 116);
    --navbar-search-background-color:#7f7f7f7f;
    --list-background-color: #4a4a4a;
    --the-white:#fff;
    --the-red:red;
    --the-green:greenyellow;

}
body{
  background-color: var(--page-background-color);
  overflow: hidden;
}

.main-container{
  width: 100vw;
}

.navbar{
  background-color: var(--navbar-backgroun-color);
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: space-between;
  min-height: 50px;
  align-items:center;
  padding:0.2rem 1rem;
  position: fixed;
  top:0;
  width: 100vw;
}
.navbar__log{
  color: var(--navbar-text-color);
}
.navbar .text-field{
  padding:1rem;
  background-color: var(--navbar-search-background-color);
  color:black;
  border:none;
  border-radius: 15px;
}
/* backdrop styles */
.backdrop{
   background-color: #212121 ; 
   position: absolute;
   top:0;
   left:0;
  /* z-index: 15; */
  height: 100vh;
  width: 100%;
}
.modal{
    width: 600px;
    background-color: white;
    border: 5px solid white;
    margin: 0 auto;
    height: 250px
px
;
}
.navbar .text-field:focus{
  outline:none
}
.heart{
  background-color: transparent;
}
.heart:hover{
  outline: none;
  border:none
}
.main{
  display: flex;
  flex-flow: row;
  flex-wrap: wrap;
  justify-content: space-between;
  width: 100vw;
}
.infocard-container{
  display:flex;
  flex-direction:column;
  color:var(--the-white);
  align-items: flex-start;
  padding-left:5px 
}
/* sidebars */
.list__item{
  width: 400px;
  display: flex;
  flex-flow: row;
  background-color: var(--list-background-color);
  margin:5px;
  border-radius: 20px;
  justify-content: space-between;
}

/* main content */
.character-detail{
  display: flex;
  flex-wrap: nowrap;
  background-color: var(--list-background-color);
  color:var(--the-white);
  border-radius: 15px;
  width:80%;
}
.character-detail__info{
  display: flex;
  flex-direction: column;
  width: 100%;
}
.character-detail__img{
  border-radius: 15px;
}
 .character-detail__info .info, 
 .character-detail__info .location,
 .character-detail__info .name{
  text-align:left;
  margin-left:15px;
} 
.character-detail__info .actions{
  float:right;
  text-align:right;
  margin-right:15px
}
.character-detail__info .actions{
  float:right;
}
.character-detail__info .actions button{
  background-color: var(--page-background-color);
  color:var(--navbar-backgroun-color)
}
/* list of episodes */
.character-episodes{
  background: var(--list-background-color);
  color:var(--navbar-backgroun-color);
  box-sizing: border-box;
  width:80%;
  margin-top: 8px;
  border-radius: 15px;
  padding:5px;
}
.character-episodes .title button{
  background-color: transparent;
  color:var(--navbar-search-background-color);
}
.character-episodes .title button:focus{
  outline: none;
}
.red{
  background-color: var(--the-red);
}
.green{
  background-color: var(--the-green);
}
.list__item img{
  width:60px;
  border-radius: 15px 0 0 15px;
}
.eye-for-elements{
  background: transparent;
  color: var(--the-red);
}
.eye-for-elements:hover{
  border:none;
}
.line-179{
  /* border: 1px solid var(--slate-800); */
  background-color: var(--slate-800);
  border-radius: 1rem;
  padding: 1rem;
}

.character-episodes .title{
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.character-episodes .title .icon{
  transition: all 0.3s ease-in-out;
  color:var(--slate-300);
  display: flex;
  align-items: center;
  justify-content: center;
}
.character-episodes h2{
  color:var(--slate-400);
  margin-bottom: 0.6rem;
}
.character-episodes li{
  display: flex;
  align-items: center;
}

@keyframes logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

@media (prefers-reduced-motion: no-preference) {
  a:nth-of-type(2) .logo {
    animation: logo-spin infinite 20s linear;
  }
}

@media screen and (max-width: 600px){
  .character-detail{
    flex-wrap: wrap;
  }
}

.card {
  padding: 2em;
}

.read-the-docs {
  color: #888;
}
